Feature request: Allow port to be specified for S3

Bug #1475890 reported by abeverley on 2015-07-18
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Duplicity
Medium
Unassigned

Bug Description

Would it please be possible to allow the port to be specified for the S3 backend? It's a very simple change - see attached patch.

Thanks,

Andy

abeverley (l-andy) wrote :
edso (ed.so) wrote :

well done!

does that patch work flawlessly with a port not given?

what does boto API expect in that case?
A. the port parameter ommitted?
B. the value set to None?

remember they might change their internal API, so if they do not explicitely give you a 'not set' value, you will have to stick with A.vand then you will have to handle each case with a condition.

..ede/duply.net

abeverley (l-andy) wrote :

Hi Ed, thanks for the comments.

I've been looking through the code to try and answer your questions, but I'm struggling a bit as I'm not a Python programmer (it took me several hours just to come up with the patch I submitted). I would just try it, but I don't actually have any S3 storage on a standard port number that I can test against; the provider I'm using only uses a non-standard port number, and I am loath to give Amazon any money!

Is there any chance that you could try it yourself if you have access to any S3 storage on a normal port number? If you do get a chance, then that would be much appreciated.

Thanks,

Andy

On Mon, 2015-07-20 at 10:48 +0000, edso wrote:
> does that patch work flawlessly with a port not given?

Is it possible for me to financially sponsor the inclusion of this patch
and associated testing?

If you want, just send some money to Free Software Foundation (fsf.org). I'm not associated with them, just like what they do.

I had forgotten about this ticket. I'll check it out.

abeverley (l-andy) wrote :

On Sun, 2016-01-10 at 12:56 +0000, Kenneth Loafman wrote:
> If you want, just send some money to Free Software Foundation
> (fsf.org). I'm not associated with them, just like what they do.

Great. I'll send them $100 once the functionality is added. If you think
I should send more then just let me know.

> I had forgotten about this ticket. I'll check it out.

Thanks.

This has been patched and tested. No problems found.

Changed in duplicity:
importance: Undecided → Medium
milestone: none → 0.7.07
status: New → Fix Committed
abeverley (l-andy) wrote :

On Sun, 2016-01-10 at 17:11 +0000, Kenneth Loafman wrote:
> This has been patched and tested. No problems found.

Brilliant, thanks for the quick response. Donation made.

Changed in duplicity:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers